| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryDomainCodeRequest Struct Reference
Domain Code

Query Domain Code request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | DomainCode
| Allows filtering of the result per Domain Code. More...
xsd__string | RoutingArea
| Allows filtering of the result per Rate Area. More...
xsd__string | ClassOfService
| Allows filtering of the result per Class of Service. More...
xsd__string | NumberPlanName
| Allows filtering of the result per Number Plan Name. More...
enum unsp__DomainCodeDestinationType * | DestinationType
| Allows filtering of the result per Destination Type. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
enum unsp__SortOrder * | SortOrder
| Standard sorting structure. More...

## Detailed Description

Query Domain Code request.

Used by unsp__QueryDomainCode()

## Member Data Documentation

## ◆ ClassOfService

xsd__string unsp__QueryDomainCodeRequest::ClassOfService

Allows filtering of the result per Class of Service.

required: false

See also
  unsp__COSName

## ◆ DestinationType

enum unsp__DomainCodeDestinationType* unsp__QueryDomainCodeRequest::DestinationType

Allows filtering of the result per Destination Type.

required: false
default value[range]: NA

## ◆ DomainCode

xsd__string unsp__QueryDomainCodeRequest::DomainCode

Allows filtering of the result per Domain Code.

required: false
default value[range]: NA [1..127]

## ◆ NumberPlanName

xsd__string unsp__QueryDomainCodeRequest::NumberPlanName

Allows filtering of the result per Number Plan Name.

required: false

See also
  unsp__NumberPlanName

## ◆ OperatorId

xsd__string unsp__QueryDomainCodeRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__QueryDomainCodeRequest::Paging

Standard paging structure.

required: false

## ◆ RoutingArea

xsd__string unsp__QueryDomainCodeRequest::RoutingArea

Allows filtering of the result per Rate Area.

required: false
default value[range]: NA [1..15]

## ◆ SortOrder

enum unsp__SortOrder* unsp__QueryDomainCodeRequest::SortOrder

Standard sorting structure.

required: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h